/****************************************************************
 * sunos4_compatibility.h : Misc Definitions
 *
 * (c) 1995-1997 Yutaka Oiwa.
 *
 * $Id: sunos4_compatibility.h,v 1.1 1997/12/28 17:40:23 yutaka Exp $
 ****************************************************************/

#ifndef SUNOS4_COMPATIBILITY_H
#define SUNOS4_COMPATIBILITY_H

#define __USE_FIXED_PROTOTYPES__

#ifndef NULL
#define NULL 0
#endif

#ifndef NETDB_INTERNAL
#define NETDB_INTERNAL -1
#endif

#include <sys/types.h>

#ifdef __cplusplus
extern "C" {
#endif
  void bcopy(char *from, char *to, int len);
  int socket(int domain, int type, int protocol);
  int getsockopt(int s, int level, int optname, void *optval, int *optlen);
  int setsockopt(int s, int level, int optname,  const  void *optval, int optlen);
  int connect(int sockfd, struct sockaddr *serv_addr, int addrlen);
#ifdef __cplusplus
}
#endif

#ifdef __cplusplus
inline void memmove(char *to, char *from, int len)
{
  bcopy(from, to, len);
}
#else
#define memmove(from,to,len) bcopy((to),(from),(len))
#endif

#endif
